Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.stats
Class StatisticsManager

    java.lang.Object
      org.jivesoftware.openfire.stats.StatisticsManager

    public class StatisticsManager

extends Object

Stores statistics being tracked by the server.

Method Summary
`void` | `addMultiStatistic(String statKey, String groupName, Statistic statistic)`
`void` | `addStatistic(String statKey, Statistic definition)` Adds a stat to be tracked to the StatManager.
`Set<Map.Entry<String,Statistic>>` | `getAllStatistics()` Returns all statistics that the StatManager is tracking.
`static StatisticsManager` | `getInstance()`
`String` | `getMultistatGroup(String statKey)`
`List<String>` | `getStatGroup(String statGroup)`
`Statistic` | `getStatistic(String statKey)` Returns a statistic being tracked by the StatManager.
`void` | `removeStatistic(String statKey)` Removes a statistic from the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static StatisticsManager getInstance()

### addStatistic

    public void addStatistic(String statKey,
                             Statistic definition)

  Adds a stat to be tracked to the StatManager.

  Parameters:
    `statKey` - the statistic key.
    `definition` - the statistic to be tracked.

### getStatistic

    public Statistic getStatistic(String statKey)

  Returns a statistic being tracked by the StatManager.

  Parameters:
    `statKey` - The key of the definition.
  Returns:
    Returns the related stat.

### addMultiStatistic

    public void addMultiStatistic(String statKey,
                                  String groupName,
                                  Statistic statistic)

### getStatGroup

    public List<String> getStatGroup(String statGroup)

### getMultistatGroup

    public String getMultistatGroup(String statKey)

### getAllStatistics

    public Set<Map.Entry<String,Statistic>> getAllStatistics()

  Returns all statistics that the StatManager is tracking.

  Returns:
    Returns all statistics that the StatManager is tracking.

### removeStatistic

    public void removeStatistic(String statKey)

  Removes a statistic from the server.

  Parameters:
    `statKey` - The key of the stat to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.